Bug 123218 - [MAINTAINER] update biology/blat to latest version
Summary: [MAINTAINER] update biology/blat to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-29 15:30 UTC by Fernan Aguero
Modified: 2008-05-01 00:23 UTC (History)
0 users

See Also:


Attachments
file.diff (951 bytes, patch)
2008-04-29 15:30 UTC, Fernan Aguero
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2008-04-29 15:30:03 UTC
	<precise description of the problem (multiple lines)>
	
 BLAT is marked as BROKEN because it does not compile with GCC 4.2
 http://portsmon.freebsd.org/portoverview.py?category=biology&portname=blat

 This update brings blat to version 34, which fixes this issue 
 (tested with USE_GCC=4.2+ on FreeBSD-6.3, i386)

Fix: <how to correct or work around the problem, if known (multiple lines)>



--4SFOXa2GPu3tIq4H
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="blat.diff"



--4SFOXa2GPu3tIq4H----1T9w3hPW0i9l3pQXHZ9wgtodaca7iFv9yCvy2SkkSTmfPmkv
Content-Type: text/plain; name="blat.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="blat.diff"

diff -ruN --exclude CVS /usr/ports/biology/blat/Makefile blat/Makefile
--- /usr/ports/biology/blat/Makefile	2008-01-30 22:36:17.000000000 -0300
+++ blat/Makefile	2008-04-29 08:47:44.000000000 -0300
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	blat
-PORTVERSION=	33
+PORTVERSION=	34
 CATEGORIES=	biology
 MASTER_SITES=	http://www.soe.ucsc.edu/~kent/src/
 DISTNAME=	${PORTNAME}Src${PORTVERSION}
diff -ruN --exclude CVS /usr/ports/biology/blat/distinfo blat/distinfo
--- /usr/ports/biology/blat/distinfo	2006-03-15 07:26:11.000000000 -0300
+++ blat/distinfo	2008-04-29 08:49:14.000000000 -0300
@@ -1,3 +1,3 @@
-MD5 (blatSrc33.zip) = 5f9d3a4a88e57dfc435b5dd465209918
-SHA256 (blatSrc33.zip) = 4ca932721f529d815e64b51940c94d8136faec52c6b8bf8c3fcd3706337d9a29
-SIZE (blatSrc33.zip) = 1308517
+MD5 (blatSrc34.zip) = c8637145ea70acf1ced1a670d37d7b98
+SHA256 (blatSrc34.zip) = b764828fdf8ef4c9994ae4b6148340a776493475edb573b6adf63ae7ca9b2629
+SIZE (blatSrc34.zip) = 2142975
How-To-Repeat: 	<code/input/activities to reproduce the problem (multiple lines)>
Comment 1 dfilter service freebsd_committer 2008-05-01 00:19:34 UTC
okazaki     2008-04-30 23:19:29 UTC

  FreeBSD ports repository

  Modified files:
    biology/blat         Makefile distinfo 
  Log:
  Update to version 34.
  Remove BROKEN.
  
  PR:             123218
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.6       +2 -8      ports/biology/blat/Makefile
  1.2       +3 -3      ports/biology/blat/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Tetsurou Okazaki freebsd_committer 2008-05-01 00:23:04 UTC
State Changed
From-To: open->closed

Committed, thanks!